Development versions
Posted By Gregory

Entwicklungsversion 6.3


English version: Development version 6.3


Über diesen Link können Sie die Entwicklungsversion des Plugins herunterladen:

https://my.wpcerber.com/downloads/wp-cerber.zip

Diese Version bietet eine neue, erweiterte und effektivere Möglichkeit, Plugin-Module und die Plugin-Sicherheits-Engine zu laden. Standardmäßig lädt sich Cerber Security in einem alten Modus. Ab Version 6.3 ist der fortgeschrittene Weg jedoch ein Standardmodus zum Laden und Initialisieren des Plugins. In diesem Modus startet das Plugin sich unmittelbar nach dem Initialisieren des WordPress-Kerns, aber bevor andere Plugins oder Designs geladen werden. Dadurch kann Cerber Security verdächtige Anfragen effektiver abfangen und prüfen und WordPress vor Angriffen schützen, die versuchen, eine Sicherheitsanfälligkeit in einem Plugin oder einem Design auszunutzen. Der anfällige Code wird ausgeführt, wenn WordPress das Plugin oder das Design lädt.

Es wird empfohlen, das Laden im Standardmodus zu aktivieren.

Um diesen neuen Modus zu aktivieren, gehen Sie auf die Administrationsseite des Plugins " Haupteinstellungen" und setzen Sie die Einstellung Load Security Engine auf Standardmodus . Sobald Sie dies getan haben, wird ein spezielles Boot-Modul (aaa-wp-cerber.php) aus dem Plugin-Ordner in den WordPress-Plugin-Ordner kopiert. Wenn das Kopieren nicht erfolgreich ist, wird eine Warnmeldung angezeigt und die Moduseinstellung wird zurückgesetzt.

Verbesserungen

  • Eine neue Einstellung zum Deaktivieren von E-Mail-Benachrichtigungen zu neuen Versionen des Plugins. Es befindet sich auf der Benachrichtigungsadministrationsseite im Abschnitt E-Mail-Benachrichtigungen.
  • Die Leistung des Protokollierungssubsystems wurde verbessert: Die DB-Abfrage wurde aktualisiert.

Aktualisierung

  • Wenn im Smart-Modus kein Benutzer angemeldet ist, werden alle Anforderungen an das Admin-Dashboard protokolliert.
  • PHP-Versionen älter als 5.4 werden nicht mehr unterstützt. Der Code selbst ist weiterhin kompatibel und kann unter PHP 5.3 installiert werden.

Lesen Sie mehr über die vorherige Version des Plugins: https://wpcerber.com/wp-cerber-security-6-2/


I'm a team lead in Cerber Tech. I'm a software & database architect, WordPress - PHP - SQL - JavaScript developer. I started coding in 1993 on IBM System/370 (yeah, that was amazing days) and today software engineering at Cerber Tech is how I make my living. I've taught to have high standards for myself as well as using them in developing software solutions.

View Comments
There are currently no comments.